# Courses

A collection of courses and tutorials built for the @boardname@.

## Intro to Computer Science

MakeCode's course for learning Computer Science with the micro:bit. This is a 14 week computer science course for middle school grades 6-8.

```codecard
[{
  "name": "Intro to CS Online",
  "description": "Online edition of the Intro to Computer Science course",
  "url":"/courses/csintro",
  "imageUrl": "/static/courses/csintro.jpg"
}, {
  "name": "Intro to CS Classroom",
  "description": "Educator edition of the Intro to Computer Science course for the classroom, including complete downloadable materials",
  "url":"/courses/csintro-educator",
  "imageUrl": "/static/courses/csintro-educator.jpg"
}]
```

## Classroom

Courses contributed by educators to teach computing, science, and technology in the classroom.

```codecard
[{
  "name": "Science Experiments",
  "description": "Science experiment lessons with measurements and data analysis activities",
  "url":"/courses/ucp-science",
  "imageUrl": "/static/courses/ucp-science.jpg"
}, {
  "name": "Learn All About micro:bit",
  "description": "Projects and integration notes for a student-led workshop from the Beacon Hill School",
  "url": "https://goo.gl/XTPYpP",
  "imageUrl": "/static/courses/beaconhill.jpg"
}, {
  "name": "Coding and Innovation",
  "description": "An 8 week \"Coding and Innovation using micro:bits\" computer science course.",
  "url": "https://sites.google.com/view/utahcodingproject/microbits/coding-innovation",
  "imageUrl": "/static/courses/coding-innovation.jpg"
}]
```

## Computers and programming

Tutorials, lessons, and mini-courses about programming and computing.

```codecard
[{
  "name": "Discover JavaScript Blocks",
  "description": "11 lessons with five minute plans, teacher notes and program files.",
  "url":"https://microbit.org/en/2017-03-07-javascript-block-resources/",
  "imageUrl": "/static/courses/discover-javascript-blocks.png"
}, {
  "name": "Networking with the micro:bit",
  "description": "A series of activities to teach the basics of computer networks.",
  "url": "https://microbit.nominetresearch.uk/networking-book/",
  "imageUrl": "/static/courses/networking-book.png"  
}, {
  "name": "SparkFun Videos",
  "description": "YouTube video tutorials produced by the SparkFun team!",
  "url": "https://youtu.be/kaNtg1HGXbY?list=PLBcrWxTa5CS0mWJrytvii8aG5KUqMXvSk",
  "imageUrl": "https://i.ytimg.com/vi/kaNtg1HGXbY/hqdefault.jpg"
}]
```

## Experimenting

Fun project courses - make and experiment while learning about science and programming.

```codecard
[{
  "name": "Blocks to JavaScript",
  "description": "Learn to code using JavaScript",
  "url": "/courses/blocks-to-javascript",
  "imageUrl": "/static/courses/blocks-to-javascript.png"
}, {
  "name": "SparkFun Inventor's Kit",
  "description": "Your map for navigating the waters of beginning embedded electronics, robotics and citizen science using the micro:bit.",
  "url": "https://learn.sparkfun.com/tutorials/sparkfun-inventors-kit-for-microbit-experiment-guide/introduction-to-the-sparkfun-inventors-kit-for-microbit",
  "imageUrl": "/static/courses/sparkfun-inventors-kit.png"
}, {
  "name": "Kitronik Inventor Kit",
  "description": "11 experiments based on the Kitronik Inventor Kit",
  "url": "https://www.kitronik.co.uk/blog/inventors-kit-experiment-1-help",
  "imageUrl": "/static/courses/kitronik-inventor-kit.png"
}, {
  "name": "micro:bit of Things",
  "description": "A hands-on course about the micro:bit and what you can do with it.",
  "url":"https://sites.google.com/view/microbitofthings",
  "imageUrl": "/static/courses/microbit-of-things.jpg"
}, {
  "name": "A-Z Robotics",
  "description": "Absolute beginner's guide to learning coding, electronics and robotics on the micro:bit",
  "url":"https://tinkerspark.teachable.com/",
  "imageUrl": "/static/courses/tinkerspark.jpg"
}]
```

## See Also

[Intro to CS](/courses/csintro)